<?php
/*
* @ServerMon v1.1
* @Developed by Maksa988
* @www.Server-Mon.ru
* @Copyright (C) 2014
*/
 if(!defined('SMON'))
	die('Hacking attempt!');
	
class users extends Controller {
	public function __construct() {
		global $db;
		
		$this->header();
		$this->model('users');
		
		if(empty($_SESSION['user_id'])):
			return $this->view(array('login/index'), $this->data); //Загружаем шаблон
		endif;
		
		$user = $this->usersModel->getUser($_SESSION['user_id']);
		$this->data['user'] = $user;
		
		if($user['user_group'] != $this->setting('admin_group')):
			$this->data['error'] = 'Вы не имеете доступа!';
			return $this->view(array('login/index'), $this->data); //Загружаем шаблон
		endif;
		
		$this->data['activeSection'] = 'modules';
		$this->data['menu'] = array(array('url'=> 'users/add', 'icon' => 'plus', 'name'=> 'Добавить пользователя')); 
		
		if($this->POST('add_user')){
			$login = $this->POST('login');
			$email = $this->POST('email');
			$password = $this->POST('password');
			$group = $this->POST('group');
			
			if($login && $email && $password){
				if(!$this->usersModel->checkUser($login)){
						if(preg_match('/@/i', $email)){
							$pass = md5($password);
							if($this->usersModel->createUser($login, $email, $pass, $group)){
								$this->data['success'] = 'Пользователь успешно добавлен!';
							} else {
								$this->data['error'] = 'При добавлении произошла ошибка!';
							}
						} else {
							$this->data['error'] = 'Неверно введен e-mail адрес!';
						}
				} else {
					$this->data['error'] = 'Логин уже занят.';
				}
			} else {
				$this->data['error'] = 'Все поля обязательны к заполнению!';
			}
		}
		
		return $this->view(array('common/header', 'users/add', 'common/footer'), $this->data); //Загружаем шаблон
	}
}